// Copyright (C) 2009 by Florent Lamiraux.
//
// This file is part of the hppWalkPlanner.
//
// hppWalkPlanner is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or (at your option) any later version.
//
// hppWalkPlanner is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with hppWalkPlanner. If not, see
// <http://www.gnu.org/licenses/>.

/// \brief Forward declarations.

#ifndef HPPWALKPLANNER_FWD_HH
# define HPPWALKPLANNER_FWD_HH
# include <KineoUtility/kitDefine.h>
# include <hpp/walkfootplanner/fwd.hh>

KIT_PREDEF_CLASS (CkwsPlusDirectPath);

namespace hpp
{
  namespace walkPlanner
  {
    KIT_PREDEF_CLASS (Planner);

    class PatternGenerator;
  } // end of namespace walkPlanner.
} // end of namespace hpp.

// For reverse compatibility.
typedef hpp::walkPlanner::Planner ChppWalkPlanner;

#endif //! HPPWALKPLANNER_FWD_HH
